org.apache.ignite.internal.processors.cache

## Class GridCacheEntryInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheEntryInfo

All Implemented Interfaces:
  Serializable, Message

    public class GridCacheEntryInfo
    extends Object
    implements Message

Entry information that gets passed over wire.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheEntryInfo()`

### Method Summary

Methods
`int` `cacheId()`
`void` `cacheId(int cacheId)`
`byte` `directType()` Gets message type.
`long` `expireTime()`
`void` `expireTime(long expireTime)`
`byte` `fieldsCount()` Gets fields count.
`boolean` `isDeleted()`
`boolean` `isNew()`
`KeyCacheObject` `key()`
`void` `key(KeyCacheObject key)`
`byte[]` `keyBytes()`
`void` `keyBytes(byte[] bytes)`
`void` `marshal(GridCacheContext ctx)`
`int` `marshalledSize(GridCacheContext ctx)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`void` `setDeleted(boolean deleted)`
`void` `setNew(boolean isNew)`
`String` `toString()`
`long` `ttl()`
`void` `ttl(long ttl)`
`void` `unmarshal(GridCacheContext ctx, ClassLoader clsLdr)` Unmarshalls entry.
`void` `unmarshalValue(GridCacheContext<?,?> ctx, ClassLoader ldr)`
`CacheObject` `value()`
`void` `value(CacheObject val)`
`GridCacheVersion` `version()`
`void` `version(GridCacheVersion ver)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheEntryInfo

    public GridCacheEntryInfo()

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### cacheId

    public void cacheId(int cacheId)

Parameters:
  `cacheId` - Cache ID.

#### key

    public void key(KeyCacheObject key)

Parameters:
  `key` - Entry key.

#### keyBytes

    public void keyBytes(byte[] bytes)

Parameters:
  `bytes` - Key bytes.

#### keyBytes

    public byte[] keyBytes()

Returns:
  Key bytes.

#### key

    public KeyCacheObject key()

Returns:
  Entry key.

#### value

    public CacheObject value()

Returns:
  Entry value.

#### value

    public void value(CacheObject val)

Parameters:
  `val` - Entry value.

#### expireTime

    public long expireTime()

Returns:
  Expire time.

#### expireTime

    public void expireTime(long expireTime)

Parameters:
  `expireTime` - Expiration time.

#### ttl

    public long ttl()

Returns:
  Time to live.

#### ttl

    public void ttl(long ttl)

Parameters:
  `ttl` - Time to live.

#### version

    public GridCacheVersion version()

Returns:
  Version.

#### version

    public void version(GridCacheVersion ver)

Parameters:
  `ver` - Version.

#### isNew

    public boolean isNew()

Returns:
  New flag.

#### setNew

    public void setNew(boolean isNew)

Parameters:
  `isNew` - New flag.

#### isDeleted

    public boolean isDeleted()

Returns:
  `True` if deleted.

#### setDeleted

    public void setDeleted(boolean deleted)

Parameters:
  `deleted` - Deleted flag.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### unmarshalValue

    public void unmarshalValue(GridCacheContext<?,?> ctx,
                      ClassLoader ldr)
                        throws IgniteCheckedException

Parameters:
  `ctx` - Context.
  `ldr` - Loader.
Throws:
  `IgniteCheckedException` - If failed.

#### marshalledSize

    public int marshalledSize(GridCacheContext ctx)
                       throws IgniteCheckedException

Returns:
  Marshalled size.
Throws:
  `IgniteCheckedException`

#### marshal

    public void marshal(GridCacheContext ctx)
                 throws IgniteCheckedException

Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - In case of error.

#### unmarshal

    public void unmarshal(GridCacheContext ctx,
                 ClassLoader clsLdr)
                   throws IgniteCheckedException

Unmarshalls entry.

Parameters:
  `ctx` - Cache context.
  `clsLdr` - Class loader.
Throws:
  `IgniteCheckedException` - If unmarshalling failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015